net.minecraft.client.particle

## Class EntityCrit2FX

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.client.particle.EntityFX
    - - net.minecraft.client.particle.EntityCrit2FX

-     public class EntityCrit2FX
      extends EntityFX

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.particle.EntityFX

      `interpPosX, interpPosY, interpPosZ`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityCrit2FX(World par1World, Entity par2Entity)`
    `EntityCrit2FX(World par1World, Entity par2Entity, String par3Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFXLayer()`
    `void` | `onUpdate()` Called to update the entity's position/logic.
    `void` | `renderParticle(Tessellator par1Tessellator, float par2, float par3, float par4, float par5, float par6, float par7)`

    - ### Methods inherited from class net.minecraft.client.particle.EntityFX

      `canAttackWithItem, getBlueColorF, getGreenColorF, getRedColorF, multipleParticleScaleBy, multiplyVelocity, nextTextureIndexX, readEntityFromNBT, setAlphaF, setParticleIcon, setParticleTextureIndex, setRBGColorF, toString, writeEntityToNBT`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, applyEntityCollision, attackEntityFrom, canBeCollidedWith, canBePushed, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, getAir, getBlockExplosionResistance, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getExtendedProperties, getEyeHeight, getLastActiveItems, getLookVec, getMaxInPortalTime, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getShadowSize, getTeleportDirection, getTranslatedEntityName, getUniqueID, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, interactFirst, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onChunkLoad, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, playSound, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotationYawHead, setSneaking, setSprinting, setVelocity, setWorld, shouldDismountInWater, shouldExplodeBlock, shouldRenderInPass, shouldRiderSit, travelToDimension, updateRidden, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityCrit2FX

          public EntityCrit2FX(World par1World,
                       Entity par2Entity)

    - #### EntityCrit2FX

          public EntityCrit2FX(World par1World,
                       Entity par2Entity,
                       String par3Str)

  - ### Method Detail

    - #### renderParticle

          public void renderParticle(Tessellator par1Tessellator,
                            float par2,
                            float par3,
                            float par4,
                            float par5,
                            float par6,
                            float par7)

      Overrides:
        `renderParticle` in class `EntityFX`

    - #### onUpdate

          public void onUpdate()

      Called to update the entity's position/logic.
      Overrides:
        `onUpdate` in class `EntityFX`

    - #### getFXLayer

          public int getFXLayer()

      Overrides:
        `getFXLayer` in class `EntityFX`